<!DOCTYPE html>

<html lang="en">
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width">
	<title>Plait Plugins Docs Class: Messenger</title>

	<!--[if lt IE 9]>
	<script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
	<![endif]-->
	<link type="text/css" rel="stylesheet" href="styles/sunlight.default.css">

	<link type="text/css" rel="stylesheet" href="styles/site.cosmo.css">

</head>

<body>

<div class="navbar navbar-default navbar-fixed-top navbar-inverse">
<div class="container">
	<div class="navbar-header">
		<a class="navbar-brand" href="index.html">Plait Plugins Docs</a>
		<button class="navbar-toggle" type="button" data-toggle="collapse" data-target="#topNavigation">
			<span class="icon-bar"></span>
			<span class="icon-bar"></span>
			<span class="icon-bar"></span>
        </button>
	</div>
	<div class="navbar-collapse collapse" id="topNavigation">
		<ul class="nav navbar-nav">
			
			<li class="dropdown">
				<a href="modules.list.html" class="dropdown-toggle" data-toggle="dropdown">Modules<b class="caret"></b></a>
				<ul class="dropdown-menu ">
					<li><a href="module-ableton.html">ableton</a></li><li><a href="module-control.html">control</a></li><li><a href="module-d-pro.html">d-pro</a></li><li><a href="module-data.html">data</a></li><li><a href="module-device.html">device</a></li><li><a href="module-devices.html">devices</a></li><li><a href="module-logic.html">logic</a></li><li><a href="module-plugin.html">plugin</a></li><li><a href="module-sound.html">sound</a></li><li><a href="module-client.html">client</a></li><li><a href="module-telegram.html">telegram</a></li><li><a href="module-time.html">time</a></li><li><a href="module-tradfri.html">tradfri</a></li><li><a href="module-phone.html">phone</a></li><li><a href="module-twilio.html">twilio</a></li>
				</ul>
			</li>
			
			<li class="dropdown">
				<a href="classes.list.html" class="dropdown-toggle" data-toggle="dropdown">Classes<b class="caret"></b></a>
				<ul class="dropdown-menu ">
					<li><a href="module-ableton-Liveset.html">ableton~Liveset</a></li><li><a href="module-control-SessionControl.html">control~SessionControl</a></li><li><a href="module-d-pro-Show.html">d-pro~Show</a></li><li><a href="module-data-Data.html">data~Data</a></li><li><a href="module-data-CollectionAPI.html">data~CollectionAPI</a></li><li><a href="module-device-Device.html">device~Device</a></li><li><a href="module-device-UDPdevice.html">device~UDPdevice</a></li><li><a href="module-device-OSCdevice.html">device~OSCdevice</a></li><li><a href="module-device-TCPdevice.html">device~TCPdevice</a></li><li><a href="module-device-Webdevice.html">device~Webdevice</a></li><li><a href="module-device-Serialdevice.html">device~Serialdevice</a></li><li><a href="module-device-Mididevice.html">device~Mididevice</a></li><li><a href="module-logic-Logic.html">logic~Logic</a></li><li><a href="module-logic-Condition.html">logic~Condition</a></li><li><a href="module-logic-Listener.html">logic~Listener</a></li><li><a href="module-logic-PEventListener.html">logic~PEventListener</a></li><li><a href="Messenger.html">Messenger</a></li><li><a href="Conversation.html">Conversation</a></li><li><a href="Agent.html">Agent</a></li><li><a href="module-plugin-Plugin.html">plugin~Plugin</a></li><li><a href="module-plugin-Collection.html">plugin~Collection</a></li><li><a href="module-plugin-Item.html">plugin~Item</a></li><li><a href="module-client-Agent.html">client~Agent</a></li><li><a href="module-client-Client.html">client~Client</a></li><li><a href="module-client-Bot.html">client~Bot</a></li><li><a href="module-telegram-Telegram.html">telegram~Telegram</a></li><li><a href="module-telegram-Conversation.html">telegram~Conversation</a></li><li><a href="module-telegram-Edit.html">telegram~Edit</a></li><li><a href="module-telegram-Message.html">telegram~Message</a></li><li><a href="module-phone-Phone.html">phone~Phone</a></li><li><a href="module-twilio-Switchboard.html">twilio~Switchboard</a></li><li><a href="module-twilio-SmsIn.html">twilio~SmsIn</a></li><li><a href="module-twilio-Call.html">twilio~Call</a></li><li><a href="module-twilio-CallIn.html">twilio~CallIn</a></li>
				</ul>
			</li>
			
		</ul>
        
            <div class="col-sm-3 col-md-3">
                <form class="navbar-form" role="search">
                    <div class="input-group">
                        <input type="text" class="form-control" placeholder="Search" name="q" id="search-input">
                        <div class="input-group-btn">
                            <button class="btn btn-default" id="search-submit"><i class="glyphicon glyphicon-search"></i></button>
                        </div>
                    </div>
                </form>
            </div>
        
	</div>

</div>
</div>


<div class="container" id="toc-content">
<div class="row">

	
	<div class="col-md-8">
	
		<div id="main">
			

	<h1 class="page-title">Class: Messenger</h1>
<section>

<header>
    
        <h2>
        Messenger
        </h2>
        
    
</header>


<article>
    <div class="container-overview">
    
        
<hr>
<dt>
    <h4 class="name" id="Messenger"><span class="type-signature"></span>new Messenger()</h4>
    
    
</dt>
<dd>

    

    

    

    
    

    
<dl class="details">
    

	

	

	

    

    

    

    

	

	

	

	

	



	
	<dt class="tag-source method-doc-label method-doc-details-label">Source:</dt>
	<dd class="tag-source">
		<ul class="dummy">
			<li>
				<a href="messenger_messenger.js.html">messenger/messenger.js</a>,
				 <a href="messenger_messenger.js.html#sunlight-1-line-4">line 4</a>
			</li>
		</ul>
	</dd>
	

	

	

	
</dl>


    

    

    

    

    

    

    
</dd>

    
    </div>

    

    

    

    

    

    

    

    

    
</article>

</section>




		</div>
	</div>

	<div class="clearfix"></div>

	
		<div class="col-md-3">
			<div id="toc" class="col-md-3 hidden-xs hidden-sm hidden-md"></div>
		</div>
	

</div>
</div>


    <div class="modal fade" id="searchResults">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            <h4 class="modal-title">Search results</h4>
          </div>
          <div class="modal-body"></div>
          <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
          </div>
        </div><!-- /.modal-content -->
      </div><!-- /.modal-dialog -->
    </div>


<footer>

	 | <a href='https://plaitools.gitlab.io/documentation/plaiframe/'>Plaiframe Documentation</a> | <a href='https://plaitools.gitlab.io/documentation/plaiframe/webview/'>Webview Documentation</a> | <a href='https://gitlab.com/plaitools'>Plaitools on Gitlab</a>


	<span class="copyright">
	© 2020 Lasse Marburg, Benedikt Kaffai
	</span>

<span class="jsdoc-message">
	Documentation generated by <a href="https://github.com/jsdoc3/jsdoc">JSDoc 3.5.5</a>
	
		on Mon Jun 8th 2020
	
	using the <a href="https://github.com/docstrap/docstrap">DocStrap template</a>.
</span>
</footer>

<script src="scripts/docstrap.lib.js"></script>
<script src="scripts/toc.js"></script>

    <script type="text/javascript" src="scripts/fulltext-search-ui.js"></script>


<script>
$( function () {
	$( "[id*='$']" ).each( function () {
		var $this = $( this );

		$this.attr( "id", $this.attr( "id" ).replace( "$", "__" ) );
	} );

	$( ".tutorial-section pre, .readme-section pre, pre.prettyprint.source" ).each( function () {
		var $this = $( this );

		var example = $this.find( "code" );
		exampleText = example.html();
		var lang = /{@lang (.*?)}/.exec( exampleText );
		if ( lang && lang[1] ) {
			exampleText = exampleText.replace( lang[0], "" );
			example.html( exampleText );
			lang = lang[1];
		} else {
			var langClassMatch = example.parent()[0].className.match(/lang\-(\S+)/);
			lang = langClassMatch ? langClassMatch[1] : "javascript";
		}

		if ( lang ) {

			$this
			.addClass( "sunlight-highlight-" + lang )
			.addClass( "linenums" )
			.html( example.html() );

		}
	} );

	Sunlight.highlightAll( {
		lineNumbers : true,
		showMenu : true,
		enableDoclinks : true
	} );

	$.catchAnchorLinks( {
        navbarOffset: 10
	} );
	$( "#toc" ).toc( {
		anchorName  : function ( i, heading, prefix ) {
			return $( heading ).attr( "id" ) || ( prefix + i );
		},
		selectors   : "#toc-content h1,#toc-content h2,#toc-content h3,#toc-content h4",
		showAndHide : false,
		smoothScrolling: true
	} );

	$( "#main span[id^='toc']" ).addClass( "toc-shim" );
	$( '.dropdown-toggle' ).dropdown();

    $( "table" ).each( function () {
      var $this = $( this );
      $this.addClass('table');
    } );

} );
</script>



<!--Navigation and Symbol Display-->


<!--Google Analytics-->



    <script type="text/javascript">
        $(document).ready(function() {
            SearcherDisplay.init();
        });
    </script>


</body>
</html>